Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## OOXMLconvert
Class OOXMLparser

    java.lang.Object
      OOXMLconvert.OOXMLparser

    public class OOXMLparser

extends java.lang.Object

Field Summary
`private java.lang.String` | `commentId` id aktuálneho komentára
`private java.lang.String` | `headingInR` pomocna premenna na urcovanie nadpisu v elemente "r"
`private boolean` | `isBackup` pomocna premenná na určovanie toho, či bol spravený backup
`private int` | `notesCount` pomocne premenne na footnotes a endnotes - pocitadlo a html vystup
`private java.util.List<Element>` | `notesEl`
`private Element` | `numberingEl` obsah elementu z XHTML, ktory zodpoveda vytvaranemu listu
`private int` | `numLvl` pri vyplnani numberingu oznacuje level v predoslej iteracii
`private Element` | `paragraphEl` obsah elementu z XHTML, ktory nahradza "paragraph" element z XML
`private java.util.LinkedHashMap<java.lang.String,java.lang.String>` | `pPr` zoznam properties pre aktualny paragraph
`private java.util.LinkedHashMap<java.lang.String,java.lang.String>` | `rPr` zoznam properties pre aktualny run
`private Element` | `runEl` obsah elementu z XHTML, ktory nahradza "run" element z XML

Constructor Summary
`OOXMLparser()` Konštruktor

Method Summary
`private boolean` | `containsEntityRef(Element el)` Funkcia zistí, či element obsahuje nejakú entityRef (napr.
`private void` | `finishNumbering(Element elXHTML)` Funkcia pridá obsah numberingEl do elXHTML.
`private void` | `finishP(Element elXHTML)` Funkcia ukončí "p" element a zapíše vygenerovaný obsah do výstupného XHTML
`private java.lang.String` | `getBorderProperties(Element pBdrChild)` Funkcia vráti CSS štýl zodpovedajúci borderu
`private boolean` | `isVisualEmpty(Element el)` Funkcia, ktorá zisťuje, či XHTML element niečo vypíše
`private void` | `overrideParams(java.util.LinkedHashMap<java.lang.String,java.lang.String> overrides)` Funkcia dočasne prepíše parametre
`Element` | `parse(Element main)` Funkcia ktorá preparsuje zadaný element
`Element` | `parse(java.io.File fileToParse)` Funkcia ktorá preparsuje zadaný XML súbor
`private void` | `parseElementDocument(Element elDocument, Element elXHTML)` Funkcia, ktorá prejde daným "document" XML elementom a vytvorí z neho XHTML výstupný element
`private void` | `parseElementDrawing(Element elDrawing)` Funkcia, ktorá prejde daným "drawing" XML elementom
`private void` | `parseElementEndnote(Element elEndnote)` Funkcia, ktorá prejde daným endnote XML elementom
`private void` | `parseElementFootnote(Element elFootnote)` Funkcia, ktorá prejde daným footnote XML elementom
`private void` | `parseElementHyperlink(Element elHyperlink)` Funkcia, ktorá prejde daným "hyperlink" XML elementom
`private void` | `parseElementNumPr(Element elNumPr)` Funkcia, ktorá prejde daným "numPr" XML elementom
`private void` | `parseElementP(Element elP)` Funkcia, ktorá prejde daným "p" XML elementom
`private void` | `parseElementPBdr(Element elPBdr)` Funkcia, ktorá prejde daným "pBdr" XML elementom
`private void` | `parseElementPPr(Element elPPr)` Funkcia, ktorá prejde daným "pPr" XML elementom
`private void` | `parseElementPStyle(Element elPStyle)` Funkcia, ktorá prejde daným "pStyle" XML elementom
`private void` | `parseElementR(Element elR)` Funkcia, ktorá prejde daným "r" XML elementom
`private void` | `parseElementRPr(Element elRPr)` Funkcia, ktorá prejde daným "rPr" XML elementom
`private void` | `parseElementRStyle(Element elRStyle)` Funkcia, ktorá prejde daným "rStyle" XML elementom
`private void` | `parseElementT(Element elT)` Funkcia, ktorá prejde daným "t" XML elementom
`private void` | `parseElementTbl(Element elTbl, Element elXHTML)` Funkcia, ktorá prejde daným "tbl" XML elementom
`private void` | `parseHyperlinkContent(Element elHC)` Funkcia, ktorá prejde obsahom hyperlinku a vráti ho
`private void` | `parseMain(Element elContainer, Element elXHTML)` Funkcia ktorá preparsuje zadaný - main - element, co je container na hlavnú časť.
`private void` | `processNumbering()` Funkcia spracuje numbering (list) a pridá zodpovedajúci obsah do numberingEl
`private void` | `setOriginalParams()` Funkcia vráti pôvodné hodnoty parametrom
`private void` | `tidyUpElement(Element el)` Funkcia pospája span elementy, ktoré sa spojiť môžu a tiež ak element el obsahuje iba jeden span, tak prenesie obsah.
`private void` | `tidyUpParagraph()` Funkcia pospája span elementy, ktoré sa spojiť môžu a tiež ak paragraphEl obsahuje iba jeden span, tak prenesie obsah

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pPr

    private java.util.LinkedHashMap<java.lang.String,java.lang.String> pPr

  zoznam properties pre aktualny paragraph

### rPr

    private java.util.LinkedHashMap<java.lang.String,java.lang.String> rPr

  zoznam properties pre aktualny run

### runEl

    private Element runEl

  obsah elementu z XHTML, ktory nahradza "run" element z XML

### paragraphEl

    private Element paragraphEl

  obsah elementu z XHTML, ktory nahradza "paragraph" element z XML

### numberingEl

    private Element numberingEl

  obsah elementu z XHTML, ktory zodpoveda vytvaranemu listu

### numLvl

    private int numLvl

  pri vyplnani numberingu oznacuje level v predoslej iteracii

### headingInR

    private java.lang.String headingInR

  pomocna premenna na urcovanie nadpisu v elemente "r"

### notesCount

    private int notesCount

  pomocne premenne na footnotes a endnotes - pocitadlo a html vystup

### notesEl

    private java.util.List<Element> notesEl

### commentId

    private java.lang.String commentId

  id aktuálneho komentára

### isBackup

    private boolean isBackup

  pomocna premenná na určovanie toho, či bol spravený backup

Constructor Detail

### OOXMLparser

    public OOXMLparser()

  Konštruktor

Method Detail

### containsEntityRef

    private boolean containsEntityRef(Element el)

  Funkcia zistí, či element obsahuje nejakú entityRef (napr. )

  Parameters:
    `el` - element, ktorý chceme prezrieť
  Returns:
    true ak element obsahuje entityRef, false inak

### isVisualEmpty

    private boolean isVisualEmpty(Element el)

  Funkcia, ktorá zisťuje, či XHTML element niečo vypíše

  Parameters:
    `el` - element, ktorý chceme otestovať
  Returns:
    true ak je element vizuálne prázdny false inak

### tidyUpParagraph

    private void tidyUpParagraph()

  Funkcia pospája span elementy, ktoré sa spojiť môžu a tiež ak paragraphEl obsahuje iba jeden span, tak prenesie obsah

### tidyUpElement

    private void tidyUpElement(Element el)

  Funkcia pospája span elementy, ktoré sa spojiť môžu a tiež ak element el obsahuje iba jeden span, tak prenesie obsah. Ak má potomkov, tak s nimi spraví to isté.

### processNumbering

    private void processNumbering()

  Funkcia spracuje numbering (list) a pridá zodpovedajúci obsah do numberingEl

### finishNumbering

    private void finishNumbering(Element elXHTML)

  Funkcia pridá obsah numberingEl do elXHTML.

  Parameters:
    `elXHTML` - element výstupného XHTML

### finishP

    private void finishP(Element elXHTML)

  Funkcia ukončí "p" element a zapíše vygenerovaný obsah do výstupného XHTML

  Parameters:
    `elXHTML` - element výstupného XHTML

### parseElementTbl

    private void parseElementTbl(Element elTbl,
                                 Element elXHTML)

  Funkcia, ktorá prejde daným "tbl" XML elementom

  Parameters:
    `elTbl` - vstupný XML element
    `elXHTML` - element výstupného XHTML

### parseElementDrawing

    private void parseElementDrawing(Element elDrawing)

  Funkcia, ktorá prejde daným "drawing" XML elementom

  Parameters:
    `elDrawing` - vstupný XML element

### parseElementHyperlink

    private void parseElementHyperlink(Element elHyperlink)

  Funkcia, ktorá prejde daným "hyperlink" XML elementom

  Parameters:
    `elHyperlink` - vstupný XML element

### overrideParams

    private void overrideParams(java.util.LinkedHashMap<java.lang.String,java.lang.String> overrides)

  Funkcia dočasne prepíše parametre

  Parameters:
    `overrides` - zoznam prepísaných parametrov

### setOriginalParams

    private void setOriginalParams()

  Funkcia vráti pôvodné hodnoty parametrom

### parseElementP

    private void parseElementP(Element elP)

  Funkcia, ktorá prejde daným "p" XML elementom

  Parameters:
    `elP` - vstupný XML element

### parseElementPPr

    private void parseElementPPr(Element elPPr)

  Funkcia, ktorá prejde daným "pPr" XML elementom

  Parameters:
    `elPPr` - vstupný XML element

### parseElementNumPr

    private void parseElementNumPr(Element elNumPr)

  Funkcia, ktorá prejde daným "numPr" XML elementom

  Parameters:
    `elNumPr` - vstupný XML element

### parseElementPStyle

    private void parseElementPStyle(Element elPStyle)

  Funkcia, ktorá prejde daným "pStyle" XML elementom

  Parameters:
    `elPStyle` - vstupný XML element

### getBorderProperties

    private java.lang.String getBorderProperties(Element pBdrChild)

  Funkcia vráti CSS štýl zodpovedajúci borderu

  Parameters:
    `pBdrChild` - element, v ktorom je definovaný border
  Returns:
    String obsahujúci CSS štýl

### parseElementPBdr

    private void parseElementPBdr(Element elPBdr)

  Funkcia, ktorá prejde daným "pBdr" XML elementom

  Parameters:
    `elPBdr` - vstupný XML element

### parseElementRStyle

    private void parseElementRStyle(Element elRStyle)

  Funkcia, ktorá prejde daným "rStyle" XML elementom

  Parameters:
    `elRStyle` - vstupný XML element

### parseElementRPr

    private void parseElementRPr(Element elRPr)

  Funkcia, ktorá prejde daným "rPr" XML elementom

  Parameters:
    `elRPr` - vstupný XML element

### parseElementFootnote

    private void parseElementFootnote(Element elFootnote)

  Funkcia, ktorá prejde daným footnote XML elementom

  Parameters:
    `elFootnote` - vstupný XML element

### parseElementEndnote

    private void parseElementEndnote(Element elEndnote)

  Funkcia, ktorá prejde daným endnote XML elementom

  Parameters:
    `elEndnote` - vstupný XML element

### parseElementR

    private void parseElementR(Element elR)

  Funkcia, ktorá prejde daným "r" XML elementom

  Parameters:
    `elR` - vstupný XML element

### parseHyperlinkContent

    private void parseHyperlinkContent(Element elHC)

  Funkcia, ktorá prejde obsahom hyperlinku a vráti ho

  Parameters:
    `elHC` - vstupný XML element

### parseElementT

    private void parseElementT(Element elT)

  Funkcia, ktorá prejde daným "t" XML elementom

  Parameters:
    `elT` - vstupný XML element

### parseElementDocument

    private void parseElementDocument(Element elDocument,
                                      Element elXHTML)

  Funkcia, ktorá prejde daným "document" XML elementom a vytvorí z neho XHTML výstupný element

  Parameters:
    `elDocument` - vstupný XML element
    `elXHTML` - výstupný XHTML element

### parseMain

    private void parseMain(Element elContainer,
                           Element elXHTML)

  Funkcia ktorá preparsuje zadaný - main - element, co je container na hlavnú časť.

  Parameters:
    `elContainer` - XML element na sparsovanie
    `elXHTML` - výstupný XHTML element

### parse

    public Element parse(java.io.File fileToParse)

  Funkcia ktorá preparsuje zadaný XML súbor

  Parameters:
    `fileToParse` - XML súbor na sparsovanie
  Returns:
    XHTML element - výstup

### parse

    public Element parse(Element main)

  Funkcia ktorá preparsuje zadaný element

  Parameters:
    `main` - container na hlavnú časť
  Returns:
    XHTML element - výstup

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD